Red Hat Satellite upgrade fails with error 'Failed to apply catalog: One or more resource dependency cycles detected in graph'

Solution Verified - Updated -

Issue

  • Upgrading Red Hat Satellite server fails with below error:

    [ERROR 2020-01-01T00:00:00 main] Errors encountered during run:
    [ERROR 2020-01-01T00:00:00 main]  Found 1 dependency cycle:
    [ERROR 2020-01-01T00:00:00 main] (Group[foreman] => User[apache] => Class[Apache] => Package[tfm-rubygem-passenger-native] => Class[Foreman::Install] => Class[Foreman::Config] => Group[foreman])\nTry the '--graph' option and opening the resulting '.dot' file in OmniGraffle or GraphViz
    [ERROR 2020-01-01T00:00:00 main]  Failed to apply catalog: One or more resource dependency cycles detected in graph
    

Environment

  • Red Hat Satellite 6.x

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In